<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Component dynamic</title>
</head>
<body>


<main>

    <button @click="selected = 'list-task'">Task</button>
    <button @click="selected = 'contact-component'">Contact</button>
    <button @click="selected = 'bio-component'">BIO</button>

    <component :is="selected"></component>

    <!--<list-task></list-task>-->
    <!--<contact-component></contact-component>-->
    <!--<bio-component></bio-component>-->

</main>


<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script>

    Vue.component('list-task', {
        template: `<div>
            <h1><slot></slot></h1>
            <ul>
                <task-component v-for="task in listTask" :task="task"></task-component>
            </ul>
        </div>`,

        data() {
            return {
                listTask: [
                    'Lorem ipsum dolor sit amet.',
                    'Lorem ipsum dolor sit amet.',
                    'Lorem ipsum dolor sit amet.',
                    'Lorem ipsum dolor sit amet.',
                    'Lorem ipsum dolor sit amet.'
                ]
            }
        }
    });

    Vue.component('task-component', {
        props: ['task'],
        template: `<li>{{ task }}</li>`
    });

    Vue.component('contact-component', {
        template: `<a href="mailto:jose.florez@megaterios.co">jose.florez@megaterios.co</a>`
    });

    Vue.component('bio-component', {
       template: `<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga, suscipit.</p>`
    });

    new Vue({
        el: 'main',
        data: {
            selected: 'list-task'
        }
    })
</script>
</body>
</html>